org.jgrapht.alg.interfaces

## Class MaximumFlowAlgorithm.MaximumFlowImpl<V,E>

- java.lang.Object
- - org.jgrapht.alg.interfaces.MaximumFlowAlgorithm.MaximumFlowImpl<V,E>

- All Implemented Interfaces:
    MaximumFlowAlgorithm.MaximumFlow
  Enclosing interface:
    MaximumFlowAlgorithm<V,E>

      public static class MaximumFlowAlgorithm.MaximumFlowImpl<V,E>
      extends Object
      implements MaximumFlowAlgorithm.MaximumFlow

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaximumFlowAlgorithm.MaximumFlowImpl(Double value, Map<E,Double> flow)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<E,Double>` | `getFlow()` Returns mapping from edge to flow value through this particular edge
    `Double` | `getValue()` Returns value of the maximum-flow for the given network

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MaximumFlowAlgorithm.MaximumFlowImpl

          public MaximumFlowAlgorithm.MaximumFlowImpl(Double value,
                                              Map<E,Double> flow)

  - ### Method Detail

    - #### getValue

          public Double getValue()

      Description copied from interface: `MaximumFlowAlgorithm.MaximumFlow`
      Returns value of the maximum-flow for the given network
      Specified by:
        `getValue` in interface `MaximumFlowAlgorithm.MaximumFlow`
      Returns:
        value of th maximum-flow

    - #### getFlow

          public Map<E,Double> getFlow()

      Description copied from interface: `MaximumFlowAlgorithm.MaximumFlow`
      Returns mapping from edge to flow value through this particular edge
      Specified by:
        `getFlow` in interface `MaximumFlowAlgorithm.MaximumFlow`
      Returns:
        maximum flow

Copyright © 2016. All rights reserved.